Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api
Interface MonitorSetting

    public interface MonitorSetting

This `MonitorSetting` takes charge of managing and storing some Monitor Server's settings.

Method Summary
`int` | `getMonitorMaxMinuteSaveReport()` Gets the maximum saved time (in minutes) of reports.
`int` | `getMonitorMaxNumberSaveReport()` Gets the maximum saved number of reports.
`int` | `getMonitorRefreshInterval()` Gets Monitor Server's refreshing interval time (in milliseconds).
`boolean` | `isDisplayUserLastLoginTime()` Checks whether to display user last login time.
`void` | `setDisplayUserLastLoginTime(boolean isDisplay)` Sets whether to display user login time or not
`void` | `setMonitorMaxNumberSaveReport(int ss)` Sets the maximum saved number of reports.
`void` | `setMonitorMaxTimeSaveReport(int minute)` Sets the maximum saved time (in minutes) of reports.
`void` | `setMonitorRefreshInterval(int ss)` Sets Monitor Server's refreshing interval time (in milliseconds).

Method Detail

### getMonitorRefreshInterval

    int getMonitorRefreshInterval()

  Gets Monitor Server's refreshing interval time (in milliseconds).

  Returns:
    The refreshing interval time.

### getMonitorMaxNumberSaveReport

    int getMonitorMaxNumberSaveReport()

  Gets the maximum saved number of reports.

  Returns:
    The maximum saved number of reports.

### getMonitorMaxMinuteSaveReport

    int getMonitorMaxMinuteSaveReport()

  Gets the maximum saved time (in minutes) of reports.

  Returns:
    The maximum saved time of reports.

### setMonitorRefreshInterval

    void setMonitorRefreshInterval(int ss)

  Sets Monitor Server's refreshing interval time (in milliseconds).

  Parameters:
    `ss` - The refreshing interval time.

### setMonitorMaxNumberSaveReport

    void setMonitorMaxNumberSaveReport(int ss)

  Sets the maximum saved number of reports.

  Parameters:
    `ss` - The maximum saved number of reports.

### setMonitorMaxTimeSaveReport

    void setMonitorMaxTimeSaveReport(int minute)

  Sets the maximum saved time (in minutes) of reports.

  Parameters:
    `minute` - The maximum saved time of reports.

### isDisplayUserLastLoginTime

    boolean isDisplayUserLastLoginTime()

  Checks whether to display user last login time.

  Returns:
    whether to display user last login time.

### setDisplayUserLastLoginTime

    void setDisplayUserLastLoginTime(boolean isDisplay)

  Sets whether to display user login time or not

  Parameters:
    `isDisplay` - for whether to display user login time

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD